function rangeIdsInBuffer = mr_map_frame_range_to_circular_buffer_indices(frameRange, circularBuffer)
% rangeIdsInBuffer = mr_map_frame_range_to_circular_buffer_indices(frameRange, circularBuffer)rangeIdsInBuffer = mr_map_frame_range_to_circular_buffer_indices(frameRange, circularBuffer)

startIdInBuffer = mr_map_frame_number_to_circular_buffer_index(frameRange(1), circularBuffer);
endIdInBuffer = mr_map_frame_number_to_circular_buffer_index(frameRange(2), circularBuffer);

if endIdInBuffer >= startIdInBuffer
    % single block case
    rangeIdsInBuffer = startIdInBuffer:endIdInBuffer;
else % wrap around case (two blocks)
    rangeIdsInBuffer = [startIdInBuffer:circularBuffer.length 1:endIdInBuffer];
end;

