% for i=3000:10:10000
%     force_plate_visualize(force(:,i), moment(:,i))
% end;

%%


% delete all timers;
delete(timerfindall);

global mr EEG
mr = [];

mr.simulation.data  = EEG.data(:, 2000:end);
mr.samplingRate = 256;
mr.simulation.speedFactor = 1;

mr.functionHandle = [];
mr.maxNumberOfFramesInAccumulatedData = Inf;

% mr_accumulate options
mr.readFromDataRiver = false;


mr_init();

mr_read_simulated(true); % reset
mr_record_lag(true);


if isempty(timerfind('tag','accumulatorTimer'))
    accumulatorTimer = timer('TimerFcn','mr_accumulate;mr_view_force_plate;mr_record_lag','StartDelay',0,'ExecutionMode','fixedSpacing','Period',0.1,'tag','accumulatorTimer'); 
    start(accumulatorTimer);        
end;
