function eegData = channel_subset_and_re_reference_to_non_included_reference(mr, accumulatedDataframes)

% select portion of data in the duration requested to calculate ica
% activity 
accumulatedDatainDuration = mr.accumulatedData((mr.eeg.channelOffset+1):end, accumulatedDataframes);


% re-reference
if strcmp(mr.eeg.referenceChannel, 'average')
    fprintf('Error: average reference should always be to selected subset of eeg channels.\n');
else
    % re-reference to one channel
    
    for i=1:size(accumulatedDatainDuration, 1)
        accumulatedDatainDuration(i, :) = accumulatedDatainDuration(i,:) - accumulatedDatainDuration(mr.eeg.referenceChannel,:);
    end;
 
    % select channel subset
    eegData = accumulatedDatainDuration(mr.eeg.channelNumbers,:);
        
end;

end